[alpine-devel] [PATCH] testing/yelp-tools: new aport
Export this patch
---
testing/yelp-tools/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
1 file changed, 41 insertions(+)
create mode 100644 testing/yelp-tools/APKBUILD
applied and fixed the APKBUILD
thanks
-nc
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
diff --git a/testing/yelp-tools/APKBUILD b/testing/yelp-tools/APKBUILD
new file mode 100644
index 0000000..5d2cf83
--- /dev/null
+++ b/testing/yelp-tools/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=yelp-tools
+pkgver=3.14.1
+pkgrel=0
+pkgdesc="Small programs that help you create, edit, manage, and publish your Mallard or DocBook documentation."
+url="https://wiki.gnome.org/Apps/Yelp/Tools"
+arch="noarch"
+license="GPL/LGPL"
+depends=""
+depends_dev=""
+makedepends="gawk yelp-xsl autoconf automake itstool"
+install=""
+subpackages=""
+source="https://github.com/GNOME/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./autogen.sh --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="c179e9f843c216566502dfe12409172b 3.14.1.tar.gz"
+sha256sums="e2483824ab68574eae84d56765988041958b7ce2416623bc6b07c863a5e077eb 3.14.1.tar.gz"
+sha512sums="112f7400cb8f9bdea93ede32947d3fe77aea9ce5a6f30dcdb705d3055c21295a150d7d0a728e03e66da797a72b1c6066727ddd6d76d2e9a4bcacc7e54edef39d 3.14.1.tar.gz"
--
2.1.3
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---